# Administration Reference

## vos listvol

Purpose

Displays information from a volume header

Synopsis

    vos listvol -server <machine name>  [-partition <partition name>]
                [-fast]  [-long]  [-quiet]  [-extended]  [-cell <cell name>]
                [-noauth]  [-localauth]  [-verbose]  [-help]

    vos listvo -s <machine name>  [-p <partition name>]  [-f]  [-lon]
               [-q]  [-e]  [-c <cell name>]  [-n]  [-loc]  [-v]  [-h]

Description

The vos listvol command formats and displays the following information from the volume header of each specified volume: volume name, volume ID, volume type, size, and status at the server. The actual information displayed depends on the combination of arguments supplied when the command is issued. To display volume header information for various numbers of volumes, combine the command's arguments as indicated:

- For every volume on a file server machine, specify the machine's name with the -server argument.

- For every volume at a particular site, combine the -server argument with the -partition argument.

To display the Volume Location Database (VLDB) entry for one or more volumes, use the vos listvldb command. To display both the VLDB entry and the volume header for a single volume, use the vos examine command.

Options

-server
  Identifies the file server machine that houses volumes for which to display the header. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

  This argument can be combined with the -partition argument, as well as the -fast, -long, or -extended flag.

-partition
  Identifies the partition (on the file server machine specified by the -server argument) that houses volumes for which to display the header. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

-fast
  Displays only the volume ID numbers of volumes stored at the site specified by the -server, and optionally -partition, argument. Do not combine this flag with the -extended flag.

-long
  Displays more detailed information about each volume stored at the site specified by the -server, and optionally -partition, argument. The information includes the volume IDs of all three volume types associated with the volume, and the read/write volume's quota, creation date and update date.

-quiet
  Suppresses the lines that summarize the number of volumes listed and their status, which otherwise appear at the beginning and end of the output when the output includes more than one volume.

-extended
  Displays extensive statistics about access patterns for each volume stored at the site specified by the -server, and optionally -partition, argument. The statistics include the number of reads and writes to files in the volume, and how recently files and directories have been updated by their owners or other users. Do not combine this flag with the -fast flag.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output is ordered alphabetically by volume name and by default provides the following information on a single line for each volume:

- Name

- Volume ID number

- Type (the flag is `RW` for read/write, `RO` for read-only, `BK` for backup)

- Size in kilobytes (`1024` equals a megabyte)

- Number of files in the volume, if the -extended flag is provided

- Status on the file server machine, which is one of the following:

  `On-line`
    The volume is completely accessible to Cache Managers.

  `Off-line`
    The volume is not accessible to Cache Managers, but does not seem to be corrupted. This status appears while a volume is being dumped, for example.

  `Off-line**needs salvage**`
    The volume is not accessible to Cache Managers, because it seems to be corrupted. Use the bos salvage or salvager command to repair the corruption.

If the following message appears instead of the previously listed information, it indicates that a volume is not accessible to Cache Managers or the vos command interpreter, for example because a clone is being created.

       **** Volume volume_ID is busy ****

If the following message appears instead of the previously listed information, it indicates that the File Server is unable to attach the volume, perhaps because it is seriously corrupted. The FileLog and VolserLog log files in the /usr/afs/logs directory on the file server machine possibly provide additional information; use the bos getlog command to display them.

       **** Could not attach volume volume_ID ****

The information about individual volumes is bracketed by summary lines. The first line of output specifies the number of volumes in the listing. The last line of output summarizes the number of volumes that are online, offline, and busy. These lines do not appear if the -quiet flag is used.

If the -fast flag is added, the output displays only the volume ID number of each volume, arranged in increasing numerical order. The final line (which summarizes the number of online, offline, and busy volumes) is omitted.

If the -long flag is included, the output for each volume includes all of the information in the default listing plus the following. Each item in this list corresponds to a separate line of output:

- The file server machine and partition that house the volume, as determined by the command interpreter as the command runs, rather than derived from the VLDB or the volume header.

- The volume ID numbers associated with the various versions of the volume: read/write (`RWrite`), read-only (`ROnly`), backup (`Backup`), and ReleaseClone (`RClone`). One of them matches the volume ID number that appears on the first line of the volume's output. If the value in the `RWrite`, `ROnly`, or `Backup` field is `0` (zero), there is no volume of that type. If there is currently no ReleaseClone, the `RClone` field does not appear at all.

- The maximum space quota allotted to the read/write copy of the volume, expressed in kilobyte blocks in the `MaxQuota` field.

- The date and time the volume was created, in the `Creation` field. If the volume has been restored with the backup diskrestore, backup volrestore, or vos restore command, this is the restore time.

- The date and time when the contents of the volume last changed, in the `Last Update` field. For read-only and backup volumes, it matches the timestamp in the `Creation` field.

- The number of times the volume has been accessed for a fetch or store operation since the later of the two following times:

  - 12:00 a.m. on the day the command is issued

  - The last time the volume changed location

If the -extended flag is included, the output for each volume includes all of the information reported with the -long flag, plus two tables of statistics:

- The table labeled `Raw Read/Write Stats` table summarizes the number of times the volume has been accessed for reading or writing.

- The table labeled `Writes Affecting Authorship` table contains information on writes made to files and directories in the specified volume.

Examples

The following example shows the output for the /vicepb partition on the file server machine fs2.abc.com when no flags are provided:

       % vos listvol -server fs2.abc.com -partition b
       Total number of volumes on server fs2.abc.com   \
                                           partition /vicepb : 66
       sys                  1969534847 RW       1582 K On-line
       sys.backup           1969535105 BK       1582 K On-line
             .                   .     .         .   .    .
             .                   .     .         .   .    .
       user.pat             1969534536 RW      17518 K On-line
       user.pat.backup      1969534538 BK      17537 K On-line
       Total volumes onLine 66 ; Total volumes offLine 0 ;  Total busy 0

The following example shows the output when the -fast flag is added:

       % vos listvol -server fs2.abc.com -partition b -fast
       Total number of volumes on server fs2.abc.com   \
                                           partition /vicepb : 66
        1969516782
        1969516784
            .
            .
        1969535796

The following example shows two volumes from the output that appears when the -long flag is added:

       % vos listvol -server fs2.abc.com -partition b -long
       Total number of volumes on server fs2.abc.com \
                                           partition /vicepb: 66
             .                   .      .         .   .    .
             .                   .      .         .   .    .
       user.pat             1969534536 RW      17518 K On-line
            fs2.abc.com /vicepb
            RWrite 1969534536 ROnly 0        Backup 1969534538
            MaxQuota      20000 K
            Creation    Mon Jun 12 09:02:25 1989
            Last Update Thu May 20 17:39:34 1999
            1573 accesses in the past day (i.e., vnode references)
       user.pat.backup      1969534538 BK      17537 K On-line
            fs2.abc.com /vicepb
            RWrite 1969534536 ROnly 0        Backup 1969534538
            MaxQuota      20000 K
            Creation    Tue Jun 13 04:37:59 1989
            Last Update Wed May 19 06:37:59 1999
            0 accesses in the past day (i.e., vnode references)
              .                   .      .         .   .    .
              .                   .      .         .   .    .
       Total volumes onLine 66 ; Total volumes offLine 0 ; \
                                                    Total busy 0

Privilege Required

None

Related Information

backup diskrestore

backup volrestore

bos getlog

bos salvage

salvager

vos

vos examine

vos listvldb

vos restore

© IBM Corporation 2000. All Rights Reserved